summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAnthony G. Basile <blueness@gentoo.org>2013-06-15 19:30:45 +0000
committerAnthony G. Basile <blueness@gentoo.org>2013-06-15 19:30:45 +0000
commit476ad09fe645ae9052921d1a285dcb6c95fd4f8d (patch)
tree9128554cbd99146b02763e5c023cc01506f2e38f /net-firewall/ipsec-tools
parentDropped more keywords on 3.7.10. (diff)
downloadhistorical-476ad09fe645ae9052921d1a285dcb6c95fd4f8d.tar.gz
historical-476ad09fe645ae9052921d1a285dcb6c95fd4f8d.tar.bz2
historical-476ad09fe645ae9052921d1a285dcb6c95fd4f8d.zip
Remove older versions
Package-Manager: portage-2.1.12.2/cvs/Linux x86_64 Manifest-Sign-Key: 0xF52D4BBA
Diffstat (limited to 'net-firewall/ipsec-tools')
-rw-r--r--net-firewall/ipsec-tools/ChangeLog7
-rw-r--r--net-firewall/ipsec-tools/Manifest26
-rw-r--r--net-firewall/ipsec-tools/files/ipsec.conf26
-rw-r--r--net-firewall/ipsec-tools/files/racoon.conf.d18
-rw-r--r--net-firewall/ipsec-tools/files/racoon.init.d58
-rw-r--r--net-firewall/ipsec-tools/files/racoon.init.d-r156
-rw-r--r--net-firewall/ipsec-tools/ipsec-tools-0.8.0-r3.ebuild236
-rw-r--r--net-firewall/ipsec-tools/ipsec-tools-0.8.0-r4.ebuild237
8 files changed, 21 insertions, 643 deletions
diff --git a/net-firewall/ipsec-tools/ChangeLog b/net-firewall/ipsec-tools/ChangeLog
index 072ae21315ec..be34914f4d37 100644
--- a/net-firewall/ipsec-tools/ChangeLog
+++ b/net-firewall/ipsec-tools/ChangeLog
@@ -1,6 +1,11 @@
# ChangeLog for net-firewall/ipsec-tools
# Copyright 1999-2013 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/net-firewall/ipsec-tools/ChangeLog,v 1.112 2013/03/23 19:15:21 floppym Exp $
+# $Header: /var/cvsroot/gentoo-x86/net-firewall/ipsec-tools/ChangeLog,v 1.113 2013/06/15 19:30:19 blueness Exp $
+
+ 15 Jun 2013; Anthony G. Basile <blueness@gentoo.org> -files/ipsec.conf,
+ -files/racoon.conf.d, -files/racoon.init.d, -files/racoon.init.d-r1,
+ -ipsec-tools-0.8.0-r3.ebuild, -ipsec-tools-0.8.0-r4.ebuild:
+ Remove older versions
23 Mar 2013; Mike Gilbert <floppym@gentoo.org> ipsec-tools-0.8.0-r5.ebuild,
ipsec-tools-0.8.1.ebuild:
diff --git a/net-firewall/ipsec-tools/Manifest b/net-firewall/ipsec-tools/Manifest
index 785a3c0cce5d..52a4cc41ac6a 100644
--- a/net-firewall/ipsec-tools/Manifest
+++ b/net-firewall/ipsec-tools/Manifest
@@ -5,27 +5,31 @@ AUX ipsec-tools-0.8.0-sysctl.patch 485 SHA256 eb94a1f77ac9c194e51c2f64b65d9c8f70
AUX ipsec-tools-def-psk.patch 907 SHA256 15da775a7da892b7e99f0a6e531bdb9f37cc9d81c004f8a439152445f960f656 SHA512 683f168fac390df602ece1608db7f65370749c291e837497fa68fe4f39ddab907d10d67d4c80d583d7f12a1ea0bf02ba98d228e7c6e9267b49a1a8a7e57e99c4 WHIRLPOOL cfe93bc7e71aa627b973b416acfcdf9f9346ef5237726a079a0da3a383f949bb780624482f1f17b93cc43fc786711c4d8d3abc173f600f05d8790639cbed911a
AUX ipsec-tools-include-vendoridh.patch 434 SHA256 be0fd6ec217405a6f1ab97231568297e705d995d0f5fa8a6ebae896e1b2e910c SHA512 fc39e09dd7b1a2d3b6cdfbfad9f4978ab5d070ae2435cf77fe2283b566bea1d58cd26dbf6cafb563587200724c9602a32ce737fd163b757872e8a6d2c8007d5c WHIRLPOOL 1507b428ab919b0e45125ec4901af6b3a764a33c98cae6e2df0c061432414cb61e980606d24f55054d4433203f5eca3a123d4dd6dfd74645d7bc222f66cab1bd
AUX ipsec-tools.conf 1209 SHA256 a9a6cbf1bd42aaefdb637814bc6198079bab84e37888e1b705f938f590978816 SHA512 727297a06b75b883a7bd730d84f7a7cec04f81b51df71a6d2419602d835abe3c958d27aac176e29e2463421792843517bda802b3437b306ab43e94d178593bfa WHIRLPOOL 9c8f70c3c117e5cc4a1793637a101920ffd9126e02373db4e68b9eba4588a385cbc08fc81a0b5bf3ae0bff3d9de20a5a14b020e6d62effb97bce790ce4e74437
-AUX ipsec.conf 1209 SHA256 a9a6cbf1bd42aaefdb637814bc6198079bab84e37888e1b705f938f590978816 SHA512 727297a06b75b883a7bd730d84f7a7cec04f81b51df71a6d2419602d835abe3c958d27aac176e29e2463421792843517bda802b3437b306ab43e94d178593bfa WHIRLPOOL 9c8f70c3c117e5cc4a1793637a101920ffd9126e02373db4e68b9eba4588a385cbc08fc81a0b5bf3ae0bff3d9de20a5a14b020e6d62effb97bce790ce4e74437
AUX psk.txt 293 SHA256 d34b142b4566712f87382caf0a64bcc070bbde17f16e2ee49d5dde26cb1bbe08 SHA512 ed09588bcbf9b16e4e18315c7b9a7667788b4ab26cd962376430c316cfb0ee5a30ff26910190731b287c1a1b5927951a79f71a096071e73d67dc867a455b14cf WHIRLPOOL fe1aadd94612e742029d6e0be7401f2994c9fed4fec899f3fc09c90cb134aca710c41a083164d6cece46b331652ddb3b76720c60bc40b837243b329db7eb60db
AUX racoon.conf 772 SHA256 e00cea25741fa16aa985d80ce49f2a59af0c98a44707a047193e936644b497a3 SHA512 8876920331b4003fd096f1997e1266a12783120e390cea55ca283a8fd6485552b54e87f60e75f33409a4cdb99171d2358953287edd47ddeac8bda6da0cc8becc WHIRLPOOL 12c55b1f5e67592483c2602040454f7c0e511c4867b0ed1e7acb593d3ffd0b2b2bfe7a5defb900eb8759006b4382d8c3d891ace2472d772e223e68eb99bd72cc
-AUX racoon.conf.d 606 SHA256 a5bac8d1d84d11651027f4264a9adac85d18ea8f126abb504397a866695d2ddd SHA512 c2f12c2829e8f1852a81104feb6b5f4afa58394fa46b65347ec30d469a822b748d3e317023ec0f060c20242988692ab76eba52fdc5f473e393c563243ff53c1d WHIRLPOOL 58a48357c475e927cb3d659582bb8c9b8ae10f1164c1831300375694a33052454dd65a29a0c869f17915f3d36aa2772b64811f44920f57d9de8cf2eb5f3df485
AUX racoon.conf.d-r1 909 SHA256 85a34cb0b392a7da09ecf07aedeb02a4b514a8a1b682ac6c077b972c1dfbf196 SHA512 75203e1e69dc2488cbf40b24fa5e21c62745cea25038cd89f003fb3b519cccf5c01661b1e235882e836964d8cb77b3b4085cb7683de7406dbde02af97675da04 WHIRLPOOL 2612332431cecfd108c1563901c832df46ad4e6a5cba43d085ca38a46bbfb9179a2e5cc96d9a9a66788e4386897bb874fe572c624c6f946ec208d45e41b73b85
-AUX racoon.init.d 1314 SHA256 7c9447197032b30a2cb76a62179a3b0ef3768870c340adf4743976e7d65eba75 SHA512 ef882fde450ac1bd4ce4acfefa498699c1959d6a1fa9eb2ea210446007f8107c2203e5fb6c0ef5f21e7687479569bffe84a3815f32748fb103140fa2e8f3737a WHIRLPOOL d31da300e79211dff92568d9d6901b3cefaabbae57806b45f2e61031e11b4ba8afd53b3a2742e9174110291716a53910deb1a188da3ec279f5af2edcfa9281dc
-AUX racoon.init.d-r1 1232 SHA256 d31ca0615464fbc8a3a2a6c6b308ab937e795ca6a1ca7d1a54eadff20caf9825 SHA512 1fa08aff6fe116e8c440600a23bb78385716ad6ab0e6b28d28d63516b9d67c6c592bcd876b198bf6bffa11efe97772399db66c1d2b57e9eaa494983495313f5e WHIRLPOOL d0b691de48313962b04e7a86aeeee1933b03fbbfe322e5e7662229a84d5d5d794bcbb51d0ef45160c25856ec4e1f4e15b435134ddea3378633f5116547c375d7
AUX racoon.init.d-r2 1279 SHA256 d9038da4f5c969a7da450d6d7a566fd77c4471ff0a1ceb2f176f0c9015d1eda8 SHA512 1a5337c74285b54c21b4d3d216f0a3756a3e2d6ea31028b56782c7a635ffac8142d61074fa0927df6dd1034e15234d3a4eda192c94e8cd5f510520e36bcf81a6 WHIRLPOOL f7219e0306b2d9e6311cd12ea06d560e1bf937ce409e44d7bf5a6e77325e4e6357b138fd709ca7972696a4669f1c6e6d72273250c84462ebf6b9e8c979aea330
AUX racoon.pam.d 156 SHA256 166136e27d653e0bf481a6ca79fecb7d9fa2fc3d597d041f97df595f65a8193c SHA512 d3f7e6ca8c9f2b5060ebccb259316bb59c9a7e158e8ef9466765a20db263a4043a590811f1a3ab072b718dbd70898bc69b77e0b19603d7f394b5ac1bd0a4a56c WHIRLPOOL ba7a0a8c3bb39c5fda69de34b822a19696398e0a8789211ac1faae787ee34f9639eb35efe29c67f874b5f9fe674742503e570f441c005974f4a0c93468b8970b
DIST ipsec-tools-0.8.0.tar.bz2 809297 SHA256 2359a24aa8eda9ca7043fc47950c8e6b7f58a07c5d5ad316aa7de2bc5e3a8717 SHA512 3bec6bab4fe555612f1d48966e797202830f5254a8d2146a14d268ff0c68445af790285214db41ab08ee4888625e8e680c3b848c30789d836169d1612a25fe2c WHIRLPOOL 862d2bbf78aca8c9e01e00c995aeb3b662e1ea4a769081b9880a3fee7821ef5968e10fe75d9671268979188c7ca3b91d507a1fc9a097729d0648bc4c965e675d
DIST ipsec-tools-0.8.1.tar.bz2 860717 SHA256 fa4a95bb36842f001b84c4e7a1bb727e3ee06147edbc830a881d63abe8153dd4 SHA512 c8308aba9764a8e0a0507dbc62e8e93dc4b51f7215f2c3bb50f2e7e1f46dde0c773cfe2992660ccd319523775a9bab668371ee53cd4af153d2fcf13a0ef4e1eb WHIRLPOOL b3e8743174f7a05ca028f47f5faa66286e397a50c68e7724568b89e5fd2eea76a903c3e77a144e772f913fd51a253466b93e10690125a87d643f186a9689476c
-EBUILD ipsec-tools-0.8.0-r3.ebuild 6005 SHA256 2902daa99324e62e987b53ba7b3569d41d0a285da9d6c0fdf33a7962deb38452 SHA512 3b50e876a2067c514046e05b9414c5175f0b746e9bf2c0bacb2fa935e85246131d3a2ed289f0eff71f3f0aa1bf642c01929c348feb27b7e21458391440162d4d WHIRLPOOL 8b8ccd178359d6e7dd22618bf6b6b4d812213eacc3b4064abcf76eb83a91256f24bb7d55cd716062b17b790f29352392f3fd34279c8296d63a6c52a30787f8b3
-EBUILD ipsec-tools-0.8.0-r4.ebuild 6058 SHA256 8d2a487e694546399215337927bb280203bbf55f669b8d5d2fed8a29556f9544 SHA512 60a6185526afab73d90d964063f27de71e0d047811cdfa25d5bb29c10588f3dec1a5ada5e4fbff35d20d73f8206bf7dd39a589f47a015db395013e3151ca2ce0 WHIRLPOOL 38c78828d2c8ca20e761bfb2bfa8378c0457bef2ab5a5ef400a8bf842a6ea56576f3c6a85a8c14953fcc610383651f7469bc09c869e5597e66025c3d8189382f
EBUILD ipsec-tools-0.8.0-r5.ebuild 7703 SHA256 986063512e0f433cd7821f3546d78dcc59d883a1f31c941ea5694e57d4590167 SHA512 f6bd7f19ccd4f27c2d77786b6f9e23bbd1815af5e64ad02fb00d00c92a2b93e6cd23f0fd67b27c400a0047a4dc3cbec847b36cddb4c381869243d7c6489baf06 WHIRLPOOL 4a06de676713814e5e7fa65cce11ee3fce5bf8a85de83adb55f793649bfa9d6273005434622146ed1dff65c37e115de1e32b6db2c15b4965bda788e51954a5eb
EBUILD ipsec-tools-0.8.1.ebuild 7715 SHA256 6e35764e3a149a3f173a14850ac9188f4c100c0fa88be4bbc257254128d342fe SHA512 1938eb51b5cfeb4268d58c9e8831cc16465051f8412e3a7cb956397d56b46cb18a962621aba6f3f0c03e4566a7be883c9ccedff2ddb28863686aa17054b8abf9 WHIRLPOOL 38522ac5e5af42da66a2681ab17ca9ab6dd83ae29d0a12bd4084f665824d330df6ab3098dcbb51edf7cde45c156dbf41692c0a5e1324ef9b24aef18698dd384f
-MISC ChangeLog 17951 SHA256 f84c5359d01ea26f68ff61ca54114d077e4eae281b858660643aed17ce9aefb8 SHA512 069c8faa9850d5fcf8d42f5e4d3007773f9ed3e049993b17daa034389759b4233483e8f801e3730101ae2d667de9c791a331999101e9dde828362fd6a834084d WHIRLPOOL fc659e58dcae415f0ccc2d37e8b97774600f646633566e2d0f0a19f8eb7b52c9355c4d1e4b4acada7e9b2b5d4b353673ebc4dcb2daa7b9fc1f2f11e772af5ab1
+MISC ChangeLog 18184 SHA256 09319423e8a1b8431c12c8910d0bf9f9a8bf1df665fb71b6324c42bc8e9799f1 SHA512 474280c3acbfdd8dad4de73c2816f7ffa31c6b2132563ec1ca20f92790ef96b4c1cfd9d7fe286a132c39d72f72a1453f226d3d53310ad94560c2f032e72223c3 WHIRLPOOL d7528b05ba7f6f1e282425b96b44d84e5906649c30ebcb3ac8e72f1f34c7942770ff1b2f3a2296888229c8a176e04b9d4c4c64e1f7826c2dced8954ecf407423
MISC metadata.xml 537 SHA256 12de55d6d62b8e91c8996422e33462b5637f9720a5096025752b93906bcbdc40 SHA512 9b26b2cd54e00527201339c3936ac717c57fe596e470d84e0dc0715f778b5797488b6cac61dea83bab61714a23a88e44dbd537bfeeb2b37d285653dcb838fab5 WHIRLPOOL a0dd0b61f957875ca3c50db5aa66470ed493be9c4f002bd165d75b41a8ca51cbcfd2567b4702bf1845b8e0a1ca54239e6ed163098d8b613d1f9f459192acc14e
-----BEGIN PGP SIGNATURE-----
-Version: GnuPG v2.0.19 (GNU/Linux)
+Version: GnuPG v2.0.20 (GNU/Linux)
-iF4EAREIAAYFAlFN/0sACgkQC77qH+pIQ6RzxAD/axjxmPRw7dfSTmKNwWOETkOk
-sNpq03jYjUMYmAZ7bigA/3kIsBwx7eCndPSnK5sCEDHXkALe2p8YVnC/ZJvNPjce
-=Ja13
+iQIcBAEBCAAGBQJRvMETAAoJEJOE+m71LUu65N0QALVYv8Ui8q1nHaJFWosaTtVZ
+cBbPZ44MO/JcEViPDFhKMwj3Z6URsbZJRLcHK4jytqQrcQJO19n9aWN8M+M0nfmX
+ch+evb4vx6d1nDgQl9Y8cmzxuOhErrIVOt4/7pqS9WnaQUB9uriBpFEdU16RNl4W
+sGQajYNkzUcoiibrCUZvEcwcdco+eMdF7lLnfgH9WKSb2qGCej+4MA08X6bX6Ca3
+OqSHCfSuzvQRSxrg7hGZsw5fhrF9BvViyNg1ceuCQmTKBGEOEqk7nAzk1QFgVkZU
+SgjYEDq2JSl953dxmi/hGFg1M+xk3WibpZMKydQE0w6r/BhqDajFh+dmsBFeDv4l
+GiOnRwlhnWAYfTbfgpkpQX8B170gOT2I9SNBSySE5hD1a4/i8Yy8ZNNTHGRVWxAM
+InrkgdZCkIiZOuYDcA+I96s7UiKh10ZUYIBRL0WXY0QnJCGu3hVF21xNXFvpFHZ5
+B0cA3XkDgrHmtgXANn1GvdZ8PK9g5MIHOrNG8285BagolZcR7rmYDHr00kzoL4PR
+V1AvZ8T9T8i7Bajg/g1KCbSUHShBbvUaLHONbKofdwZzpSmXt7ESxfakLmr+mJnN
+C6+kwpkIesjiEgWMDtYm9wnyOckOo0VZsm0osAj4uz/g8/So2IcD/E2Jb69hMSww
+XJOZm/1n5toLlwN6AlfN
+=W7QJ
-----END PGP SIGNATURE-----
diff --git a/net-firewall/ipsec-tools/files/ipsec.conf b/net-firewall/ipsec-tools/files/ipsec.conf
deleted file mode 100644
index bfff04af069a..000000000000
--- a/net-firewall/ipsec-tools/files/ipsec.conf
+++ /dev/null
@@ -1,26 +0,0 @@
-#!/usr/sbin/setkey -f
-#
-# THIS IS A SAMPLE FILE!
-#
-# This is a sample file to test Gentoo's ipsec-tools out of the box.
-# Do not use it in production. See: http://www.ipsec-howto.org/
-#
-flush;
-spdflush;
-
-#
-# Uncomment the following if you want to do manual keying, ie, you want to run IPsec without racoon.
-# Do not switch 192.168.3.21 <-> 192.168.3.25 on the peer
-#
-#add 192.168.3.25 192.168.3.21 ah 0x200 -A hmac-md5 0xc0291ff014dccdd03874d9e8e4cdf3e6;
-#add 192.168.3.21 192.168.3.25 ah 0x300 -A hmac-md5 0x96358c90783bbfa3d7b196ceabe0536b;
-#add 192.168.3.25 192.168.3.21 esp 0x201 -E 3des-cbc 0x7aeaca3f87d060a12f4a4487d5a5c3355920fae69a96c831;
-#add 192.168.3.21 192.168.3.25 esp 0x301 -E 3des-cbc 0xf6ddb555acfd9d77b03ea3843f2653255afe8eb5573965df;
-
-#
-# Make sure to switch 192.168.3.21 <-> 192.168.3.25 on the peer
-#
-#spdadd 192.168.3.21 192.168.3.25 any -P out ipsec esp/transport//require ah/transport//require;
-#spdadd 192.168.3.25 192.168.3.21 any -P in ipsec esp/transport//require ah/transport//require;
-spdadd 192.168.3.25 192.168.3.21 any -P out ipsec esp/transport//require ah/transport//require;
-spdadd 192.168.3.21 192.168.3.25 any -P in ipsec esp/transport//require ah/transport//require;
diff --git a/net-firewall/ipsec-tools/files/racoon.conf.d b/net-firewall/ipsec-tools/files/racoon.conf.d
deleted file mode 100644
index b201e4089f3f..000000000000
--- a/net-firewall/ipsec-tools/files/racoon.conf.d
+++ /dev/null
@@ -1,18 +0,0 @@
-# Copyright 1999-2012 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/net-firewall/ipsec-tools/files/racoon.conf.d,v 1.4 2012/03/09 02:55:47 blueness Exp $
-
-# Config file for /etc/init.d/racoon
-
-# See the man page or run `racoon --help` for valid command-line options
-# RACOON_OPTS="-d"
-
-RACOON_CONF="/etc/racoon/racoon.conf"
-RACOON_PSK_FILE="/etc/racoon/psk.txt"
-SETKEY_CONF="/etc/ipsec.conf"
-
-# Comment or remove the following if you don't want the policy tables
-# to be flushed when racoon is stopped.
-
-RACOON_RESET_TABLES="true"
-
diff --git a/net-firewall/ipsec-tools/files/racoon.init.d b/net-firewall/ipsec-tools/files/racoon.init.d
deleted file mode 100644
index 16fdec7e3a37..000000000000
--- a/net-firewall/ipsec-tools/files/racoon.init.d
+++ /dev/null
@@ -1,58 +0,0 @@
-#!/sbin/runscript
-# Copyright 1999-2004 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-
-depend() {
- before netmount
- use net
-}
-
-checkconfig() {
- if [ ! -e ${SETKEY_CONF} ] ; then
- eerror "You need to configure setkey before starting racoon."
- return 1
- fi
- if [ ! -e ${RACOON_CONF} ] ; then
- eerror "You need a configuration file to start racoon."
- return 1
- fi
- if [ ! -z ${RACOON_PSK_FILE} ] ; then
- if [ ! -f ${RACOON_PSK_FILE} ] ; then
- eerror "PSK file not found as specified."
- eerror "Set RACOON_PSK_FILE in /etc/conf.d/racoon."
- return 1
- fi
- case "`ls -Lldn ${RACOON_PSK_FILE}`" in
- -r--------*)
- ;;
- *)
- eerror "Your defined PSK file should be mode 400 for security!"
- return 1
- ;;
- esac
- fi
-}
-
-start() {
- checkconfig || return 1
- einfo "Loading ipsec policies from ${SETKEY_CONF}."
- /usr/sbin/setkey -f ${SETKEY_CONF}
- if [ $? -eq 1 ] ; then
- eerror "Error while loading ipsec policies"
- fi
- ebegin "Starting racoon"
- start-stop-daemon -S -x /usr/sbin/racoon -- -f ${RACOON_CONF} ${RACOON_OPTS}
- eend $?
-}
-
-stop() {
- ebegin "Stopping racoon"
- start-stop-daemon -K -p /var/run/racoon.pid
- eend $?
- if [ -n "${RACOON_RESET_TABLES}" ]; then
- ebegin "Flushing policy entries"
- /usr/sbin/setkey -F
- /usr/sbin/setkey -FP
- eend $?
- fi
-}
diff --git a/net-firewall/ipsec-tools/files/racoon.init.d-r1 b/net-firewall/ipsec-tools/files/racoon.init.d-r1
deleted file mode 100644
index 04b57522dbe7..000000000000
--- a/net-firewall/ipsec-tools/files/racoon.init.d-r1
+++ /dev/null
@@ -1,56 +0,0 @@
-#!/sbin/runscript
-# Copyright 1999-2012 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-
-depend() {
- before netmount
- use net
-}
-
-checkconfig() {
- if [ ! -e ${SETKEY_CONF} ] ; then
- eerror "You need to configure setkey before starting racoon."
- return 1
- fi
- if [ ! -e ${RACOON_CONF} ] ; then
- eerror "You need a configuration file to start racoon."
- return 1
- fi
- if [ ! -z ${RACOON_PSK_FILE} ] ; then
- if [ ! -f ${RACOON_PSK_FILE} ] ; then
- eerror "PSK file not found as specified."
- eerror "Set RACOON_PSK_FILE in /etc/conf.d/racoon."
- return 1
- fi
- case "`ls -Lldn ${RACOON_PSK_FILE}`" in
- -r--------*)
- ;;
- *)
- eerror "Your defined PSK file should be mode 400 for security!"
- return 1
- ;;
- esac
- fi
-}
-
-command=/usr/sbin/racoon
-command_args="-f ${RACOON_CONF} ${RACOON_OPTS}"
-pidfile=/var/run/racoon.pid
-
-start_pre() {
- checkconfig || return 1
- einfo "Loading ipsec policies from ${SETKEY_CONF}."
- /usr/sbin/setkey -f ${SETKEY_CONF}
- if [ $? -eq 1 ] ; then
- eerror "Error while loading ipsec policies"
- fi
-}
-
-stop_post() {
- if [ -n "${RACOON_RESET_TABLES}" ]; then
- ebegin "Flushing policy entries"
- /usr/sbin/setkey -F
- /usr/sbin/setkey -FP
- eend $?
- fi
-}
diff --git a/net-firewall/ipsec-tools/ipsec-tools-0.8.0-r3.ebuild b/net-firewall/ipsec-tools/ipsec-tools-0.8.0-r3.ebuild
deleted file mode 100644
index 4e6a8fed31fa..000000000000
--- a/net-firewall/ipsec-tools/ipsec-tools-0.8.0-r3.ebuild
+++ /dev/null
@@ -1,236 +0,0 @@
-# Copyright 1999-2012 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/net-firewall/ipsec-tools/ipsec-tools-0.8.0-r3.ebuild,v 1.11 2012/09/16 17:57:53 blueness Exp $
-
-EAPI="4"
-
-inherit eutils flag-o-matic autotools linux-info pam
-
-DESCRIPTION="A port of KAME's IPsec utilities to the Linux-2.6 IPsec implementation"
-HOMEPAGE="http://ipsec-tools.sourceforge.net/"
-SRC_URI="mirror://sourceforge/${PN}/${P}.tar.bz2"
-
-LICENSE="BSD GPL-2"
-SLOT="0"
-KEYWORDS="amd64 arm ~mips ppc ppc64 x86"
-IUSE="hybrid idea ipv6 kerberos ldap nat pam rc5 readline selinux stats"
-
-RDEPEND="
- dev-libs/openssl
- kerberos? ( virtual/krb5 )
- ldap? ( net-nds/openldap )
- pam? ( sys-libs/pam )
- readline? ( sys-libs/readline )
- selinux? (
- sys-libs/libselinux
- sec-policy/selinux-ipsec
- )"
-
-DEPEND="${RDEPEND}
- >=sys-kernel/linux-headers-2.6.30"
-
-pkg_setup() {
- linux-info_pkg_setup
-
- get_version
-
- if linux_config_exists && kernel_is -ge 2 6 19; then
- ewarn
- ewarn "\033[1;33m**************************************************\033[00m"
- ewarn
- ewarn "Checking kernel configuration in /usr/src/linux or"
- ewarn "or /proc/config.gz for compatibility with ${PN}."
- ewarn "Here are the potential problems:"
- ewarn
-
- local nothing="1"
-
- # Check options for all flavors of IPSec
- local msg=""
- for i in XFRM_USER NET_KEY; do
- if ! linux_chkconfig_present ${i}; then
- msg="${msg} ${i}"
- fi
- done
- if [[ ! -z "$msg" ]]; then
- nothing="0"
- ewarn
- ewarn "ALL IPSec may fail. CHECK:"
- ewarn "${msg}"
- fi
-
- # Check unencrypted IPSec
- if ! linux_chkconfig_present CRYPTO_NULL; then
- nothing="0"
- ewarn
- ewarn "Unencrypted IPSec may fail. CHECK:"
- ewarn " CRYPTO_NULL"
- fi
-
- # Check IPv4 IPSec
- msg=""
- for i in \
- INET_IPCOMP INET_AH INET_ESP \
- INET_XFRM_MODE_TRANSPORT \
- INET_XFRM_MODE_TUNNEL \
- INET_XFRM_MODE_BEET
- do
- if ! linux_chkconfig_present ${i}; then
- msg="${msg} ${i}"
- fi
- done
- if [[ ! -z "$msg" ]]; then
- nothing="0"
- ewarn
- ewarn "IPv4 IPSec may fail. CHECK:"
- ewarn "${msg}"
- fi
-
- # Check IPv6 IPSec
- if use ipv6; then
- msg=""
- for i in INET6_IPCOMP INET6_AH INET6_ESP \
- INET6_XFRM_MODE_TRANSPORT \
- INET6_XFRM_MODE_TUNNEL \
- INET6_XFRM_MODE_BEET
- do
- if ! linux_chkconfig_present ${i}; then
- msg="${msg} ${i}"
- fi
- done
- if [[ ! -z "$msg" ]]; then
- nothing="0"
- ewarn
- ewarn "IPv6 IPSec may fail. CHECK:"
- ewarn "${msg}"
- fi
- fi
-
- # Check IPSec behind NAT
- if use nat; then
- if ! linux_chkconfig_present NETFILTER_XT_MATCH_POLICY; then
- nothing="0"
- ewarn
- ewarn "IPSec behind NAT may fail. CHECK:"
- ewarn " NETFILTER_XT_MATCH_POLICY"
- fi
- fi
-
- if [[ $nothing == "1" ]]; then
- ewarn "NO PROBLEMS FOUND"
- fi
-
- ewarn
- ewarn "WARNING: If your *configured* and *running* kernel"
- ewarn "differ either now or in the future, then these checks"
- ewarn "may lead to misleading results."
- ewarn
- ewarn "\033[1;33m**************************************************\033[00m"
- ewarn
- else
- eerror
- eerror "\033[1;31m**************************************************\033[00m"
- eerror "Make sure that your *running* kernel is/will be >=2.6.19."
- eerror "Building ${PN} now, assuming that you know what you're doing."
- eerror "\033[1;31m**************************************************\033[00m"
- eerror
- fi
-}
-
-src_prepare() {
- # fix for bug #124813
- sed -i 's:-Werror::g' "${S}"/configure.ac || die
- # fix for building with gcc-4.6
- sed -i 's: -R: -Wl,-R:' "${S}"/configure.ac || die
-
- epatch "${FILESDIR}/${PN}-def-psk.patch"
- epatch "${FILESDIR}/${PN}-include-vendoridh.patch"
-
- AT_M4DIR="${S}" eautoreconf
- epunt_cxx
-}
-
-src_configure() {
- #--with-{iconv,libradius} lead to "Broken getaddrinfo()"
- #--enable-samode-unspec is not supported in linux
- local myconf
- myconf="--with-kernel-headers=/usr/include \
- --enable-adminport \
- --enable-dependency-tracking \
- --enable-dpd \
- --enable-frag \
- --without-libiconv \
- --without-libradius \
- --disable-samode-unspec \
- $(use_enable idea) \
- $(use_enable ipv6) \
- $(use_enable kerberos gssapi) \
- $(use_with ldap libldap) \
- $(use_enable nat natt) \
- $(use_with pam libpam) \
- $(use_enable rc5) \
- $(use_with readline) \
- $(use_enable selinux security-context) \
- $(use_enable stats)"
-
- use nat && myconf="${myconf} --enable-natt-versions=yes"
-
- # enable mode-cfg and xauth support
- if use pam; then
- myconf="${myconf} --enable-hybrid"
- else
- myconf="${myconf} $(use_enable hybrid)"
- fi
-
- econf ${myconf}
-}
-
-src_install() {
- emake DESTDIR="${D}" install
- keepdir /var/lib/racoon
- newconfd "${FILESDIR}"/racoon.conf.d racoon
- newinitd "${FILESDIR}"/racoon.init.d racoon
- use pam && newpamd "${FILESDIR}"/racoon.pam.d racoon
-
- insinto /etc
- doins "${FILESDIR}"/ipsec.conf
- insinto /etc/racoon
- doins "${FILESDIR}"/racoon.conf
- doins "${FILESDIR}"/psk.txt
- chmod 400 "${D}"/etc/racoon/psk.txt
-
- dodoc ChangeLog README NEWS
- dodoc -r src/racoon/samples
- dodoc -r src/racoon/doc
- docinto samples
- newdoc src/setkey/sample.cf ipsec.conf
-}
-
-pkg_postinst() {
- if use nat; then
- elog
- elog "You have enabled the nat traversal functionnality."
- elog "Nat versions wich are enabled by default are 00,02,rfc"
- elog "you can find those drafts in the CVS repository:"
- elog "cvs -d anoncvs@anoncvs.netbsd.org:/cvsroot co ipsec-tools"
- elog
- elog "If you feel brave enough and you know what you are"
- elog "doing, you can consider emerging this ebuild with"
- elog "EXTRA_ECONF=\"--enable-natt-versions=08,07,06\""
- elog
- fi
-
- if use ldap; then
- elog
- elog "You have enabled ldap support with {$PN}."
- elog "The man page does NOT contain any information on it yet."
- elog "Consider using a more recent version or CVS."
- elog
- fi
-
- elog
- elog "Please have a look in /usr/share/doc/${P} and visit"
- elog "http://www.netbsd.org/Documentation/network/ipsec/"
- elog "to find more information on how to configure this tool."
- elog
-}
diff --git a/net-firewall/ipsec-tools/ipsec-tools-0.8.0-r4.ebuild b/net-firewall/ipsec-tools/ipsec-tools-0.8.0-r4.ebuild
deleted file mode 100644
index 2633e35c8e41..000000000000
--- a/net-firewall/ipsec-tools/ipsec-tools-0.8.0-r4.ebuild
+++ /dev/null
@@ -1,237 +0,0 @@
-# Copyright 1999-2012 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/net-firewall/ipsec-tools/ipsec-tools-0.8.0-r4.ebuild,v 1.2 2012/09/25 01:12:33 vapier Exp $
-
-EAPI="4"
-
-inherit eutils flag-o-matic autotools linux-info pam
-
-DESCRIPTION="A port of KAME's IPsec utilities to the Linux-2.6 IPsec implementation"
-HOMEPAGE="http://ipsec-tools.sourceforge.net/"
-SRC_URI="mirror://sourceforge/${PN}/${P}.tar.bz2"
-
-LICENSE="BSD GPL-2"
-SLOT="0"
-KEYWORDS="~amd64 ~arm ~mips ~ppc ~ppc64 ~x86"
-IUSE="hybrid idea ipv6 kerberos ldap nat pam rc5 readline selinux stats"
-
-RDEPEND="
- dev-libs/openssl
- kerberos? ( virtual/krb5 )
- ldap? ( net-nds/openldap )
- pam? ( sys-libs/pam )
- readline? ( sys-libs/readline )
- selinux? (
- sys-libs/libselinux
- sec-policy/selinux-ipsec
- )"
-
-DEPEND="${RDEPEND}
- >=sys-kernel/linux-headers-2.6.30"
-
-pkg_setup() {
- linux-info_pkg_setup
-
- get_version
-
- if linux_config_exists && kernel_is -ge 2 6 19; then
- ewarn
- ewarn "\033[1;33m**************************************************\033[00m"
- ewarn
- ewarn "Checking kernel configuration in /usr/src/linux or"
- ewarn "or /proc/config.gz for compatibility with ${PN}."
- ewarn "Here are the potential problems:"
- ewarn
-
- local nothing="1"
-
- # Check options for all flavors of IPSec
- local msg=""
- for i in XFRM_USER NET_KEY; do
- if ! linux_chkconfig_present ${i}; then
- msg="${msg} ${i}"
- fi
- done
- if [[ ! -z "$msg" ]]; then
- nothing="0"
- ewarn
- ewarn "ALL IPSec may fail. CHECK:"
- ewarn "${msg}"
- fi
-
- # Check unencrypted IPSec
- if ! linux_chkconfig_present CRYPTO_NULL; then
- nothing="0"
- ewarn
- ewarn "Unencrypted IPSec may fail. CHECK:"
- ewarn " CRYPTO_NULL"
- fi
-
- # Check IPv4 IPSec
- msg=""
- for i in \
- INET_IPCOMP INET_AH INET_ESP \
- INET_XFRM_MODE_TRANSPORT \
- INET_XFRM_MODE_TUNNEL \
- INET_XFRM_MODE_BEET
- do
- if ! linux_chkconfig_present ${i}; then
- msg="${msg} ${i}"
- fi
- done
- if [[ ! -z "$msg" ]]; then
- nothing="0"
- ewarn
- ewarn "IPv4 IPSec may fail. CHECK:"
- ewarn "${msg}"
- fi
-
- # Check IPv6 IPSec
- if use ipv6; then
- msg=""
- for i in INET6_IPCOMP INET6_AH INET6_ESP \
- INET6_XFRM_MODE_TRANSPORT \
- INET6_XFRM_MODE_TUNNEL \
- INET6_XFRM_MODE_BEET
- do
- if ! linux_chkconfig_present ${i}; then
- msg="${msg} ${i}"
- fi
- done
- if [[ ! -z "$msg" ]]; then
- nothing="0"
- ewarn
- ewarn "IPv6 IPSec may fail. CHECK:"
- ewarn "${msg}"
- fi
- fi
-
- # Check IPSec behind NAT
- if use nat; then
- if ! linux_chkconfig_present NETFILTER_XT_MATCH_POLICY; then
- nothing="0"
- ewarn
- ewarn "IPSec behind NAT may fail. CHECK:"
- ewarn " NETFILTER_XT_MATCH_POLICY"
- fi
- fi
-
- if [[ $nothing == "1" ]]; then
- ewarn "NO PROBLEMS FOUND"
- fi
-
- ewarn
- ewarn "WARNING: If your *configured* and *running* kernel"
- ewarn "differ either now or in the future, then these checks"
- ewarn "may lead to misleading results."
- ewarn
- ewarn "\033[1;33m**************************************************\033[00m"
- ewarn
- else
- eerror
- eerror "\033[1;31m**************************************************\033[00m"
- eerror "Make sure that your *running* kernel is/will be >=2.6.19."
- eerror "Building ${PN} now, assuming that you know what you're doing."
- eerror "\033[1;31m**************************************************\033[00m"
- eerror
- fi
-}
-
-src_prepare() {
- # fix for bug #124813
- sed -i 's:-Werror::g' "${S}"/configure.ac || die
- # fix for building with gcc-4.6
- sed -i 's: -R: -Wl,-R:' "${S}"/configure.ac || die
-
- epatch "${FILESDIR}/${PN}-def-psk.patch"
- epatch "${FILESDIR}/${PN}-include-vendoridh.patch"
- epatch "${FILESDIR}"/${P}-sysctl.patch #425770
-
- AT_M4DIR="${S}" eautoreconf
- epunt_cxx
-}
-
-src_configure() {
- #--with-{iconv,libradius} lead to "Broken getaddrinfo()"
- #--enable-samode-unspec is not supported in linux
- local myconf
- myconf="--with-kernel-headers=/usr/include \
- --enable-adminport \
- --enable-dependency-tracking \
- --enable-dpd \
- --enable-frag \
- --without-libiconv \
- --without-libradius \
- --disable-samode-unspec \
- $(use_enable idea) \
- $(use_enable ipv6) \
- $(use_enable kerberos gssapi) \
- $(use_with ldap libldap) \
- $(use_enable nat natt) \
- $(use_with pam libpam) \
- $(use_enable rc5) \
- $(use_with readline) \
- $(use_enable selinux security-context) \
- $(use_enable stats)"
-
- use nat && myconf="${myconf} --enable-natt-versions=yes"
-
- # enable mode-cfg and xauth support
- if use pam; then
- myconf="${myconf} --enable-hybrid"
- else
- myconf="${myconf} $(use_enable hybrid)"
- fi
-
- econf ${myconf}
-}
-
-src_install() {
- emake DESTDIR="${D}" install
- keepdir /var/lib/racoon
- newconfd "${FILESDIR}"/racoon.conf.d racoon
- newinitd "${FILESDIR}"/racoon.init.d-r1 racoon
- use pam && newpamd "${FILESDIR}"/racoon.pam.d racoon
-
- insinto /etc
- doins "${FILESDIR}"/ipsec.conf
- insinto /etc/racoon
- doins "${FILESDIR}"/racoon.conf
- doins "${FILESDIR}"/psk.txt
- chmod 400 "${D}"/etc/racoon/psk.txt
-
- dodoc ChangeLog README NEWS
- dodoc -r src/racoon/samples
- dodoc -r src/racoon/doc
- docinto samples
- newdoc src/setkey/sample.cf ipsec.conf
-}
-
-pkg_postinst() {
- if use nat; then
- elog
- elog "You have enabled the nat traversal functionnality."
- elog "Nat versions wich are enabled by default are 00,02,rfc"
- elog "you can find those drafts in the CVS repository:"
- elog "cvs -d anoncvs@anoncvs.netbsd.org:/cvsroot co ipsec-tools"
- elog
- elog "If you feel brave enough and you know what you are"
- elog "doing, you can consider emerging this ebuild with"
- elog "EXTRA_ECONF=\"--enable-natt-versions=08,07,06\""
- elog
- fi
-
- if use ldap; then
- elog
- elog "You have enabled ldap support with {$PN}."
- elog "The man page does NOT contain any information on it yet."
- elog "Consider using a more recent version or CVS."
- elog
- fi
-
- elog
- elog "Please have a look in /usr/share/doc/${P} and visit"
- elog "http://www.netbsd.org/Documentation/network/ipsec/"
- elog "to find more information on how to configure this tool."
- elog
-}